/*
 * @Date: 2025-10-31 11:06:15
 * @LastEditors: shirlwang
 * @LastEditTime: 2025-12-16 16:29:33
 */
import request from '@/utilsRc/request'

// 登录方法
export function login(data) {
  return request({
    method: 'get',
    url: '/not/login/person/zkrLogin',
    params: data,
  })
}
// 登录方法
export function loginByUserId(data) {
  return request({
    method: 'get',
    url: '/ksSso/getTjmhTokenById?userId='+data,
    // params: data,
  })
}
export function smsLogin(data) {
  return request({
    method: 'post',
    url: '/personnel/personBaseInfo/loginGrAndQy',
    data,
    headers: {
      isToken: false
    }
  })
}
export function wechatLogin(data) {
  return request({
    method: 'post',
    url: '/personnel/personBaseInfo/loginGrAndQy',
    data,
    headers: {
      isToken: false
    }
  })
}
export function register(data) {
  return request({
    method: 'post',
    url: '/personnel/personBaseInfo/loginGrAndQy',
    data,
    headers: {
      isToken: false
    }
  })
}

// 身份证号码登录
export function idCardLogin(data) {
  return request({
    method: 'post',
    url: '/app/idCardLogin',
    data,
    headers: {
      isToken: false
    }
  })
}

// 手机号登录
export function phoneLogin(data) {
  return request({
    method: 'post',
    url: '/app/phoneLogin',
    data,
    headers: {
      isToken: false
    }
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/getInfo',
    method: 'get'
  })
}

// 重新发送验证码
export function sendSmsAgain(data) {
  return request({
    method: 'post',
    url: '/app/sendSmsAgain',
    data,
    headers: {
      isToken: false
    }
  })
}
